// clang-format off
#include "score_addon_hdf5.hpp"

#include <score/application/ApplicationContext.hpp>
#include <score/plugins/Interface.hpp>
#include <score/plugins/qt_interfaces/FactoryInterface_QtInterface.hpp>
#include <score/plugins/qt_interfaces/PluginRequirements_QtInterface.hpp>

#include <score_plugin_engine.hpp>
#include <score/plugins/FactorySetup.hpp>

#include <Avnd/Factories.hpp>

namespace DataReader { struct HDF5_Reader1D; } 


namespace DataReader { struct HDF5_TextureReader; } 



score_addon_hdf5::score_addon_hdf5() = default;
score_addon_hdf5::~score_addon_hdf5() = default;

std::vector<score::InterfaceBase*> score_addon_hdf5::factories(
        const score::ApplicationContext& ctx,
        const score::InterfaceKey& key) const
{
  std::vector<score::InterfaceBase*> fx;

  
::oscr::custom_factories<DataReader::HDF5_Reader1D>(fx, ctx, key); 


::oscr::custom_factories<DataReader::HDF5_TextureReader>(fx, ctx, key); 



  return fx;
}

std::vector<score::PluginKey> score_addon_hdf5::required() const
{
  return {score_plugin_engine::static_key()};
}

#include <score/plugins/PluginInstances.hpp>
SCORE_EXPORT_PLUGIN(score_addon_hdf5)
