// clang-format off
#include "score_addon_ledfx.hpp"

#include <score/application/ApplicationContext.hpp>
#include <score/plugins/Interface.hpp>
#include <score/plugins/qt_interfaces/FactoryInterface_QtInterface.hpp>
#include <score/plugins/qt_interfaces/PluginRequirements_QtInterface.hpp>

#include <score_plugin_engine.hpp>
#include <score/plugins/FactorySetup.hpp>

#include <Avnd/Factories.hpp>

namespace Led { struct LedFX; } 



score_addon_ledfx::score_addon_ledfx() = default;
score_addon_ledfx::~score_addon_ledfx() = default;

std::vector<score::InterfaceBase*> score_addon_ledfx::factories(
        const score::ApplicationContext& ctx,
        const score::InterfaceKey& key) const
{
  std::vector<score::InterfaceBase*> fx;

  
::oscr::custom_factories<Led::LedFX>(fx, ctx, key); 



  return fx;
}

std::vector<score::PluginKey> score_addon_ledfx::required() const
{
  return {score_plugin_engine::static_key()};
}

#include <score/plugins/PluginInstances.hpp>
SCORE_EXPORT_PLUGIN(score_addon_ledfx)
